Subject: small fixes to libpqtcl.tar.Z; PQlo glob note

From: Jim Davidson <[email-masked]>
Date: Sat, 23 Jul 1994 09:36:45 -0700

Hello,

I just made a few changes to libpqtcl.c so it would compile on SunOS
4.1.3 and Dec Ultrix 4.4 in addition to Alpha OSF 2.0.  If you were
having trouble compiling, grab the latest
ftp://ftp.crseo.ucsb.edu/pub/libpqtcl.tar.Z and try again.  I would
have tried it on AIX but I can't get bmake to compile on our rs6000.  I
would have tried on Linux as well but I gave away my laptop to some
needy scientist.

Also, "PQlo glob" appears to be byte order dependent meaning you can't
glob the LO directories on a big endian server from a little endian
client and vice versa.  This means, for example, that if you have an
Ultrix server you can't use PQlo glob from within tclpq running on a
Sun.  Everything else seems to work (I didn't look very hard).  I've
heard this was the case in general for libpq but I don't know the
details.

-Jim

 __________________________________________________________
  Jim Davidson                     |  [email-masked]
  CSL / Center for Remote Sensing  |  [email-masked]
  University of California         |  Phone (805)893-8475
  Santa Barbara, CA 93106          |  Fax           -2578

==============================================================================
   To add/remove yourself to/from the POSTGRES mailing list: send mail with 
   the subject line ADD or DEL to "[email-masked]"

   If this fails, send mail to "[email-masked]" and
   a human will deal with it.  DO NOT post to the "postgres" mailing list.
==============================================================================